require( "scripts/style.lua" );
ReadFile( "scripts/pflogin.lua" );

TitleFont = {
  standardFont,
  30,
  BorderColor
};




SaveTypeFont = {
  standardFont,
  14,
  BorderColor
};

ClickHereFont = {
  standardFont,
  16,
  RedColor
};

WithPFFont= {
  standardFont,
  16,
  BorderColor
};







MakeDialog
{
	Bitmap
	{ 
		image="backgrounds/longdialog",
		x=kCenter,
		y=kCenter,
		
		ServerSaveLogin
		{
			x=0,y=0,w=kMax,h=kMax,
			mode=1,
			Window
			{
				x=0,y=0,w=kMax,h=kMax,
				name="loginwindow",
				Text
				{
					font = TitleFont,
					name = "advancedprofile",
					x=0,y=45,w=kMax,h=30,
					flags = kHAlignCenter + kVAlignTop,
					label = "advancedprofile"
				};
				
				MakeLogin();
				
				
				Text
				{
					font = WithPFFont,
					name = "savegameinfo",
					x=60,y=240,w=kMax-60,h=200,
					flags = kHAlignLeft + kVAlignTop,
					label = "savegameinfo",
					padding=0
				};

				
	
									
				SetStyle(StandardButtonStyle);
				Button
				{
					x=50,
					y=390,
					name="enterok",
					label="ok",
					default = true,
					scale=0.7,
					command = 
						function()
							RefreshButton("enterok");
							SaveSSSG();
						end
				},
				
				Button
				{
					x=225,
					y=390,
					name="entercancel",
					label="cancel",
					scale=0.7,
					command = 
						function()
							CloseWindow(nil);
						end
				};
				
				SetStyle(DefaultStyle);
			};
			
			MakeResponseWindow();
		};
		
		
		
	},
	
	SetFocus( "nameedit" )
}



